/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomTreeWalker_H___INT_
#define __GdomTreeWalker_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "TreeWalker.h"
namespace WebCore {
    gpointer toGDOM(TreeWalker* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMTreeWalker : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_TREE_WALKER; }
    GDOMTreeWalker(PassRefPtr<WebCore::TreeWalker> impl);
    virtual ~GDOMTreeWalker();
    WebCore::TreeWalker* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::TreeWalker> m_impl;
};
G_END_DECLS

#endif /* __GdomTreeWalker_H___INT_*/
